scala.xml.parsing
class ConstructingHandler

[source: `scala/xml/parsing/ConstructingHandler.scala`]

`abstract` `class` ConstructingHandler
  `extends` MarkupHandler

  Implementation of MarkupHandler that constructs nodes.

Author
  Burak Emir
Version
  1.0

Direct Known Subclasses:
  ConstructingParser

Value Summary
`abstract val` | preserveWS : Boolean

Values and Variables inherited from MarkupHandler
isValidating, decls, ent

Method Summary
`def` | comment (pos : Int, txt : java.lang.String) : Comment callback method invoked by MarkupParser after parsing comment.
`def` | elem (pos : Int, pre : java.lang.String, label : java.lang.String, attrs : MetaData, pscope : NamespaceBinding, nodes : NodeSeq) : NodeSeq callback method invoked by MarkupParser after parsing an elementm, between the elemStart and elemEnd callbacks
`def` | entityRef (pos : Int, n : java.lang.String) : EntityRef callback method invoked by MarkupParser after parsing entity ref.
`def` | procInstr (pos : Int, target : java.lang.String, txt : java.lang.String) : ProcInstr callback method invoked by MarkupParser after parsing PI.
`def` | text (pos : Int, txt : java.lang.String) : Text callback method invoked by MarkupParser after parsing text.

Methods inherited from MarkupHandler
reportSyntaxError (abstract), lookupElemDecl, replacementText, endDTD, elemStart, elemEnd, elemDecl, attListDecl, parameterEntityDecl, parsedEntityDecl, unparsedEntityDecl, notationDecl, peReference

Methods inherited from Logged
log

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`abstract` `val` preserveWS : Boolean

Method Details

`` `def` elem(pos : Int, pre : java.lang.String, label : java.lang.String, attrs : MetaData, pscope : NamespaceBinding, nodes : NodeSeq) : NodeSeq

  callback method invoked by MarkupParser after parsing an elementm, between the elemStart and elemEnd callbacks

Parameters
  `pos -` the position in the source file
  `pre -` the prefix
  `label -` the local name
  `attrs -` the attributes (metadata)
  `args -` the children of this element
Returns
  ...

Overrides
  MarkupHandler.elem

`` `def` procInstr(pos : Int, target : java.lang.String, txt : java.lang.String) : ProcInstr

  callback method invoked by MarkupParser after parsing PI.

Parameters
  `pos -` the position in the source file
  `target -` ...
  `txt -` ...
Returns
  ...

Overrides
  MarkupHandler.procInstr

`` `def` comment(pos : Int, txt : java.lang.String) : Comment

  callback method invoked by MarkupParser after parsing comment.

Parameters
  `pos -` the position in the source file
  `comment -` ...
Returns
  ...

Overrides
  MarkupHandler.comment

`` `def` entityRef(pos : Int, n : java.lang.String) : EntityRef

  callback method invoked by MarkupParser after parsing entity ref.

Todo
  expanding entity references

Overrides
  MarkupHandler.entityRef

`` `def` text(pos : Int, txt : java.lang.String) : Text

  callback method invoked by MarkupParser after parsing text.

Overrides
  MarkupHandler.text